From 27bfa4028453dc79a72569823e97da8fd1994ffc Mon Sep 17 00:00:00 2001
From: Leon Anavi <leon.anavi@konsulko.com>
Date: Tue, 1 Sep 2020 11:53:53 +0000
Subject: [PATCH] explicitly set compile options

OE does not support to install egg package, so
explicitly set build_ext options for oe-core's
`setup.py install'

Upstream-Status: Inappropriate [oe specific]

Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
Signed-off-by: Leon Anavi <leon.anavi@konsulko.com>
---
 setup.cfg | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/setup.cfg b/setup.cfg
index 19979cf7..ed27dfe1 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -11,3 +11,15 @@ multi_line_output = 3
 [tool:pytest]
 addopts = -ra --color=yes
 testpaths = Tests
+
+[build_ext]
+disable-platform-guessing = 1
+enable-zlib = 1
+enable-jpeg = 1
+enable-tiff = 1
+enable-freetype = 1
+enable-lcms = 1
+enable-jpeg2000 = 1
+disable-webp = 1
+disable-webpmux = 1
+disable-imagequant = 1
-- 
2.17.1

